import { TCommonsAiTrainingData } from '../types/tcommons-ai-training-data';
import { TCommonsAiArrayOutputTrainingData } from '../types/tcommons-ai-array-output-training-data';
import { CommonsAiNeuralNetwork } from './commons-ai-neural-network';
export declare abstract class CommonsAiArrayOutputNeuralNetwork<I> extends CommonsAiNeuralNetwork<I, number[]> {
    private length;
    private humaniseOutput?;
    constructor(length: number, humaniseOutput?: number | undefined);
    protected processIn(data: TCommonsAiArrayOutputTrainingData<I>[]): Promise<TCommonsAiTrainingData[]>;
    protected processOut(data: {}): Promise<number[]>;
}
