import { TCommonsAiTrainingData } from '../types/tcommons-ai-training-data';
import { TCommonsAiFloatOutputTrainingData } from '../types/tcommons-ai-float-output-training-data';
import { CommonsAiNeuralNetwork } from './commons-ai-neural-network';
export declare abstract class CommonsAiFloatOutputNeuralNetwork<I> extends CommonsAiNeuralNetwork<I, number> {
    private max;
    private min;
    private humaniseOutput?;
    private delta;
    constructor(max: number, min?: number, humaniseOutput?: number | undefined);
    protected processIn(data: TCommonsAiFloatOutputTrainingData<I>[]): Promise<TCommonsAiTrainingData[]>;
    protected processOut(data: {}): Promise<number>;
}
