import * as brain from 'brain.js';
import { CommonsAiNeuralNetwork } from './commons-ai-neural-network';
export declare class CommonsAiTrainingLogger {
    protected instance: CommonsAiNeuralNetwork<any, any>;
    private interval;
    private kfolds;
    private error;
    private best;
    private iterations;
    private completed;
    private lastDisplayTime;
    constructor(instance: CommonsAiNeuralNetwork<any, any>, interval?: number);
    protected displayStart(): void;
    protected displayProgress(kfold: number, kfoldIterations: number, totalIterations: number, kfoldError: number, bestError: number): void;
    protected displayBest(best?: number): void;
    start(): void;
    update(log: brain.INeuralNetworkState): void;
    done(): void;
}
