import { TCommonsAiOutputWithConfidence } from '../types/tcommons-ai-output-with-confidence';
import { CommonsAiNeuralNetwork } from './commons-ai-neural-network';
export declare abstract class CommonsAiConfidenceNeuralNetwork<I, O> extends CommonsAiNeuralNetwork<I, O> {
    protected abstract processOutWithConfidence(data: {}): Promise<TCommonsAiOutputWithConfidence<O>>;
    protected processOut(_data: any): Promise<O>;
    runWithConfidence(data: I): Promise<TCommonsAiOutputWithConfidence<O>>;
    protected generateNoise(_additionalData?: {}): Promise<I>;
    protected mutate(_src: I, _additionalData?: {}): Promise<I>;
    protected isCorrectOutput(_o: O, _additionalData?: {}): boolean;
    protected fittestEvolution(_ai: I, _ao: TCommonsAiOutputWithConfidence<O>, _bi: I, _bo: TCommonsAiOutputWithConfidence<O>, _additionalData?: {}): I;
    dream(maxIterations: number, errorThreshold?: number, additionalData?: {}): Promise<I>;
}
