import { TCommonsAiTrainingData } from '../types/tcommons-ai-training-data';
import { TCommonsAiGenericTrainingData } from '../types/tcommons-ai-generic-training-data';
import { CommonsAiNeuralNetwork } from './commons-ai-neural-network';
export declare type TDefaultTrainingData = TCommonsAiGenericTrainingData<number[], number[]>;
export declare class CommonsAiDefaultNeuralNetwork extends CommonsAiNeuralNetwork<number[], number[]> {
    protected convertInputData(data: number[]): Promise<number[]>;
    protected processIn(data: TDefaultTrainingData[]): Promise<TCommonsAiTrainingData[]>;
    protected processOut(data: {}): Promise<number[]>;
}
